#! /bin/bash
algorithm=$1
modelType=$2

for file in images_to_run/*.JPEG; do
file_name="$(echo $file | cut -d'/' -f2)"
just_file="$(echo $file_name | cut -d'.' -f1)"
echo $file
echo $algorithm
echo $modelType

docker run -d --name $algorithm-$modelType-$just_file -u 1000 --gpus all -v /home/abcd/moo-pixels:/code --entrypoint /bin/bash pymoo:cuda-11-7-0-cudnn8 -c "cd code && python3.10 execute_tests.py $file 1 $algorithm $modelType"
#python3 execute_tests.py $file 1 $algorithm $modelType
sleep 20
done
