# Data Selection

---
We chose random images using a bash script to random sort the ILSVRC2012 test images and trim 50 images which became our initial set.

Each image is manually modified to be of size 224x224 as this is a requirement for the model.

Next a Python script was run to check the images for their predictions. We only want images with a prediction value over .85 as this would prove our algorithms by fooling the model on strong predictions.
The Python script also weeds out any identical predictions. We want a broad range of images so we only want one of each prediction type.
If an image is found to be a duplicate prediction, we delete it from the pool and re-run the bash script with the amount of images required to be 50 again.
New images are modified to be 224x224 and the Python script re-run to check for any duplicates.

Once all 50 images have been confirmed as non-duplicate we perform a manual pass to remove any images that don't match their prediction.