import scipy.io

def validate_ground_truth(image):
    image = image.split('/')[1].split('_')[2].split('.')[0]
    ground_truth = truth_data[int(image) - 1]
    return(synsets[int(ground_truth) -1][0][1][0])

def validate_ground_truth_c(classify):
    return(synsets[int(classify) -1][0][1][0])

synsets = scipy.io.loadmat('meta_data/meta.mat')['synsets']
with open('meta_data/ILSVRC2012_validation_ground_truth.txt') as f:
    truth_data = f.readlines()

print(validate_ground_truth('images_to_run/ILSVRC2012_val_00000323.JPEG'))
print(validate_ground_truth_c(67))